'use strict';

var _jestEnvironmentNode = require('jest-environment-node');

var _jestEnvironmentNode2 = _interopRequireDefault(_jestEnvironmentNode);

var _seleniumWebdriver = require('selenium-webdriver');

var _seleniumWebdriver2 = _interopRequireDefault(_seleniumWebdriver);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class WebdriverEnvironment extends _jestEnvironmentNode2.default {
  constructor(config) {
    super(config);
    this.configuration = Object.assign({
      capabilities: {
        browserName: 'chrome'
      }
    }, config.testEnvironmentOptions);
  }

  async setup() {
    await super.setup();
    this.global.driver = await buildDriver(this.configuration);
    this.global.By = _seleniumWebdriver2.default.By;
    this.global.until = _seleniumWebdriver2.default.until;
    this.global.configuration = this.configuration;
  }

  async teardown() {
    await this.global.driver.quit();
    await super.teardown();
  }

  runScript(script) {
    return super.runScript(script);
  }
}

async function buildDriver(configuration) {
  const driver = new _seleniumWebdriver2.default.Builder().withCapabilities(configuration.capabilities);

  if (configuration.server) driver.usingServer(configuration.server);

  return driver.build();
}

module.exports = WebdriverEnvironment;